BOTCH-REMOVE-VIRTUAL-DISJUNCTIONS(1)

NAME
botch-remove-virtual-disjunctions - remove virtual dependency disjunctions

SYNOPSIS

botch-remove-virtual-disjunctions [options] inPackages inSources outPackages outSources

DESCRIPTION
For binary packages: remove virtual packages from disjunctions with real packages.

For source packages: remove all but the first alternative of disjunctions just as sbuild does it. This is useful to emulate sbuild behaviour with dependency solvers like dose3 and aspcud which do not respect the order of dependency disjunctions.

This program is meant to modify a set of Packages and Sources files. If you only want to modify one, specify /dev/null as input and output for the one you do not want in the command line arguments.

OPTIONS

--remove-nonvirtual
    Also remove all but the first alternative from binary packages. This applies the same algorithm to binary packages as is applied to source packages.

-h, --help
    Show help.

--verbose
    Be verbose.

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.